/* Copyright (C) 2011, 2012, 2013 by Bundesanstalt für Gewässerkunde
 * Software engineering by Intevation GmbH
 *
 * This file is Free Software under the GNU AGPL (>=v3)
 * and comes with ABSOLUTELY NO WARRANTY! Check out the
 * documentation coming with Dive4Elements River for details.
 */

package org.dive4elements.river.model;

import java.io.Serializable;

import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Table;
import javax.persistence.GeneratedValue;
import javax.persistence.Column;
import javax.persistence.SequenceGenerator;
import javax.persistence.GenerationType;
import javax.persistence.JoinColumn;
import javax.persistence.OneToOne;

import org.apache.log4j.Logger;


@Entity
@Table(name = "sediment_yield_values")
public class SedimentLoadLSValue
implements   Serializable
{
    private static Logger logger = Logger.getLogger(SedimentLoadLSValue.class);

    private Integer id;

    private SedimentLoadLS sedimentYield;

    private Double station;
    private Double value;

    private Unit unit;


    public SedimentLoadLSValue() {
    }

    public SedimentLoadLSValue(
        SedimentLoadLS sedimentYield,
        Double        station,
        Double        value
    ) {
        this.sedimentYield = sedimentYield;
        this.station       = station;
        this.value         = value;
    }

    @Id
    @SequenceGenerator(
        name           = "SEQUENCE_SEDIMENT_YIELD_VALuES_ID_SEQ",
        sequenceName   = "SEDIMENT_YIELD_VALUES_ID_SEQ",
        allocationSize = 1)
    @GeneratedValue(
        strategy  = GenerationType.SEQUENCE,
        generator = "SEQUENCE_SEDIMENT_YIELD_VALuES_ID_SEQ")
    @Column(name = "id")
    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    @OneToOne
    @JoinColumn(name = "sediment_yield_id" )
    public SedimentLoadLS getSedimentYield() {
        return sedimentYield;
    }

    public void setSedimentYield(SedimentLoadLS sedimentYield) {
        this.sedimentYield = sedimentYield;
    }

    @Column(name="station")
    public Double getStation() {
        return station;
    }

    public void setStation(Double station) {
        this.station = station;
    }

    @Column(name = "value")
    public Double getValue() {
        return value;
    }

    public void setValue(Double value) {
        this.value = value;
    }
}
// vim:set ts=4 sw=4 si et sta sts=4 fenc=utf8 :
